> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inverter data

> Retrieve time series data for a specified inverter within a given time range.
            This endpoint is currently in beta release and may be subject to changes.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/data
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/data:
    get:
      tags:
        - User Solar Inverters
      summary: Get inverter data
      description: >-
        Retrieve time series data for a specified inverter within a given time
        range.
                    This endpoint is currently in beta release and may be subject to changes.
      operationId: >-
        integrations_api_api_v2_organizations_users_inverters_router_get_inverter_data
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID
        - in: path
          name: user_id
          schema:
            description: The user ID
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID
        - in: path
          name: inverter_id
          schema:
            description: The inverter ID
            format: uuid
            title: Inverter Id
            type: string
          required: true
          description: The inverter ID
        - in: query
          name: from_datetime
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            description: The start of the time range
            title: From Datetime
          required: false
          description: The start of the time range
        - in: query
          name: to_datetime
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            description: The end of the time range
            title: To Datetime
          required: false
          description: The end of the time range
        - in: query
          name: resolution
          schema:
            default: 15MIN
            description: The time interval for aggregating data
            title: Resolution
            type: string
          required: false
          description: The time interval for aggregating data
        - in: query
          name: keywords
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: A comma-separated list of keywords
            title: Keywords
          required: false
          description: A comma-separated list of keywords
        - in: query
          name: include_deleted
          schema:
            default: false
            description: If true, includes soft-deleted
            title: Include Deleted
            type: boolean
          required: false
          description: If true, includes soft-deleted
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InverterDataOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InverterDataError'
      security:
        - OAuth2: []
components:
  schemas:
    InverterDataOutput:
      properties:
        metadata:
          additionalProperties: true
          title: Metadata
          type: object
        data:
          items:
            $ref: '#/components/schemas/InverterDataPointOutput'
          title: Data
          type: array
      required:
        - metadata
        - data
      title: InverterDataOutput
      type: object
    InverterDataError:
      properties:
        error:
          title: Error
          type: string
      required:
        - error
      title: InverterDataError
      type: object
    InverterDataPointOutput:
      properties:
        time:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - '2021-01-01T00:00:00Z'
            - '2021-01-01T00:15:00Z'
          title: Time
        price:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 52.1
            - 125.2
          title: Price
        solar_production_w:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 1000
            - 2000
          title: Solar Production W
        export_power_to_grid_w:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 100
            - 200
          title: Export Power To Grid W
        household_consumption_w:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 900
            - 1800
          title: Household Consumption W
        battery_charge_level_percent:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 50
            - 100
          title: Battery Charge Level Percent
        battery_charge_discharge_power_w:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 900
            - 1800
          title: Battery Charge Discharge Power W
        estimated_consumption:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 900
            - 1800
          title: Estimated Consumption
        unoptimized_consumption:
          anyOf:
            - type: number
            - type: 'null'
          examples:
            - 900
            - 1800
          title: Unoptimized Consumption
      title: InverterDataPointOutput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````